getTemplate
MetadataTemplateWrapper getTemplate(templateId)
GET /api/2.0/files/metadata/templates/{templateId}
Get a metadata template
Returns one metadata template with its fields, in their display order, and the options of its choice fields. Any member of the portal can read a template, the call is read-only. Use it to resolve the template identifiers a file or a folder reports in assignedMetadataTemplates into names and fields. A template that does not exist is answered with 404.
Parameters
| Name | In | Type | Description | Notes |
|---|---|---|---|---|
| templateId | path | Integer (int32) | The template ID. | [required] [example: 1] |
Responses
| Status code | Description | Type | Response headers |
|---|---|---|---|
| 200 | Metadata template | MetadataTemplateWrapper | X-RateLimit-Limit, X-RateLimit-Remaining, X-RateLimit-Reset |
| 404 | Template not found | - | - |
| 401 | Unauthorized | ErrorApiResponse | - |
| 429 | Too Many Requests. | ErrorApiResponse | Retry-After |
| 500 | Internal Server Error. | ErrorApiResponse | - |
| 400 | Bad Request. | ErrorApiResponse | - |
| 502 | Bad Gateway. Returned by the reverse proxy, response body may be HTML and not JSON. | - | - |
| 503 | Service Unavailable. Returned by the reverse proxy, response body may be HTML and not JSON. | - | - |
Return type
Authorization
Basic, OAuth2 (scopes: read, write), ApiKeyBearer, asc_auth_key, Bearer, OpenId
HTTP request headers
- Content-Type: Not defined
- Accept: application/json